package ch.zhaw.projekt2.turnierverwaltung.main;

import ch.zhaw.projekt2.turnierverwaltung.FXController;
import javafx.application.Platform;
import javafx.fxml.FXML;

import java.util.logging.Logger;


/**
 * Main WindowController Class in charge of the Controller Functions of it
 * Since not much is directly in the main window only the top bar functionality is represented (language setting and
 * close option).
 */
public class MainWindowController extends FXController {

    private static final Logger logger = Logger.getLogger(MainWindowController.class.getCanonicalName());

    /**
     * Method changes the language Setting to german
     */
    @FXML
    void changeLangToGerman() {
        logger.fine("language setting changed to german");
    }

    /**
     * This Method initializes the
     */
    @FXML
    void closeApplication() {
        logger.fine("");
        Platform.exit();
    }

    /**
     * There is no content to load
     */
    @Override
    public void loadContent() {
    }
}
